Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update scheduled jobs

Bulk-patches scheduled jobs by id. Successful entities are returned in data; per-item failures in errors.

PATCH/api/v2/{team_slug}/{app_slug}/schedule
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Request body
requiredapplication/json
jobsPatchScheduleJobItem[]required
min items 1 · max items 20
Show properties
Array of PatchScheduleJobItem
idUUIDrequired
item_idUUID
item_typestring
execute_atstring<date-time>
to_statusstring
add_tag_idsUUID[]
remove_tag_idsUUID[]
add_category_idsUUID[]
remove_category_idsUUID[]
add_collection_idsUUID[]
remove_collection_idsUUID[]
to_amount_cents_with_taxinteger
to_sale_amount_cents_with_taxinteger
to_on_saleboolean
to_market_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
to_store_group_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
to_market_statusstring
to_start_sale_timestampstring<date-time>
to_stop_sale_timestampstring<date-time>
group_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
Responses
200

Patched (partial success possible)

dataScheduleJob[]required
Show properties
Array of ScheduleJob
idUUIDrequired
item_idUUIDrequired
item_typestringrequired
item_namestring | null
execute_atstring<date-time>required
finished_atstring<date-time> | null
to_statusstring | null
add_tag_idsUUID[]
remove_tag_idsUUID[]
add_category_idsUUID[]
remove_category_idsUUID[]
add_collection_idsUUID[]
remove_collection_idsUUID[]
to_amount_cents_with_taxinteger | null
to_sale_amount_cents_with_taxinteger | null
to_on_saleboolean | null
to_market_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
to_store_group_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
to_market_statusstring | null
to_start_sale_timestampstring<date-time> | null
to_stop_sale_timestampstring<date-time> | null
group_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
created_atstring<date-time>required
updated_atstring<date-time> | null
errorsScheduleJobError[]required
Show properties
Array of ScheduleJobError
item_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v2/string/string/schedule' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "jobs": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
      "item_type": "string",
      "execute_at": "2019-08-24T14:15:22Z",
      "to_status": "string",
      "add_tag_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "remove_tag_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "add_category_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "remove_category_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "add_collection_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "remove_collection_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "to_amount_cents_with_tax": 0,
      "to_sale_amount_cents_with_tax": 0,
      "to_on_sale": true,
      "to_market_id": "0934fc5b-84c6-4c9a-8661-3385966d0768",
      "to_store_group_id": "486fb14a-80df-44a1-ad6f-386496b52f2f",
      "to_market_status": "string",
      "to_start_sale_timestamp": "2019-08-24T14:15:22Z",
      "to_stop_sale_timestamp": "2019-08-24T14:15:22Z",
      "group_id": "306db4e0-7449-4501-b76f-075576fe2d8f"
    }
  ]
}'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
      "item_type": "string",
      "item_name": "string",
      "execute_at": "2019-08-24T14:15:22Z",
      "finished_at": "2019-08-24T14:15:22Z",
      "to_status": "string",
      "add_tag_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "remove_tag_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "add_category_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "remove_category_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "add_collection_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "remove_collection_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "to_amount_cents_with_tax": 0,
      "to_sale_amount_cents_with_tax": 0,
      "to_on_sale": true,
      "to_market_id": "0934fc5b-84c6-4c9a-8661-3385966d0768",
      "to_store_group_id": "486fb14a-80df-44a1-ad6f-386496b52f2f",
      "to_market_status": "string",
      "to_start_sale_timestamp": "2019-08-24T14:15:22Z",
      "to_stop_sale_timestamp": "2019-08-24T14:15:22Z",
      "group_id": "306db4e0-7449-4501-b76f-075576fe2d8f",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}